<?xml version="1.0"?>
<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
               "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd"
[
  <!ENTITY % local.common.attrib "xmlns:xi  CDATA  #FIXED 'http://www.w3.org/2003/XInclude'">
  <!ENTITY version SYSTEM "version.xml">
]>
<book id="libmbim-glib">
  <bookinfo>
    <title>libmbim-glib Reference Manual</title>
    <releaseinfo>
      For libmbim-glib &version;. The latest version of this documentation can be found on-line at
     <ulink role="online-location" url="https://www.freedesktop.org/software/libmbim/libmbim-glib/latest/">https://www.freedesktop.org/software/libmbim/libmbim-glib/latest/</ulink>.
    </releaseinfo>

    <copyright>
      <year>2013</year>
      <year>2014</year>
      <year>2015</year>
      <year>2016</year>
      <year>2017</year>
      <year>2018</year>
      <year>2019</year>
      <year>2020</year>
      <year>2021</year>
      <holder>The libmbim-glib authors</holder>
    </copyright>

    <legalnotice>
      <para>
        Permission is granted to copy, distribute and/or modify this
        document under the terms of the <citetitle>GNU Free
        Documentation License</citetitle>, Version 1.3 or any later
        version published by the Free Software Foundation with no
        Invariant Sections, no Front-Cover Texts, and no Back-Cover
        Texts. You may obtain a copy of the <citetitle>GNU Free
        Documentation License</citetitle> from the Free Software
        Foundation by visiting <ulink type="http"
        url="http://www.fsf.org">their Web site</ulink> or by writing
        to:
        <address>
          The Free Software Foundation, Inc.
          <street>51 Franklin Street</street>, Suite 500
          <city>Boston</city>, <state>MA</state> <postcode>02110-1335</postcode>
          <country>USA</country>
        </address>
      </para>
    </legalnotice>
  </bookinfo>

  <chapter>
    <title>Core</title>
    <xi:include href="xml/mbim-version.xml"/>
    <xi:include href="xml/mbim-uuid.xml"/>
    <xi:include href="xml/mbim-cid.xml"/>
    <xi:include href="xml/mbim-message.xml"/>
    <xi:include href="xml/mbim-device.xml"/>
    <xi:include href="xml/mbim-proxy.xml"/>
    <xi:include href="xml/mbim-enums.xml"/>
    <xi:include href="xml/mbim-errors.xml"/>
    <xi:include href="xml/mbim-utils.xml"/>
    <xi:include href="xml/mbim-tlv.xml"/>
  </chapter>

  <chapter>
    <title>Generic Services</title>
    <xi:include href="xml/mbim-basic-connect.xml"/>
    <xi:include href="xml/mbim-sms.xml"/>
    <xi:include href="xml/mbim-ussd.xml"/>
    <xi:include href="xml/mbim-auth.xml"/>
    <xi:include href="xml/mbim-phonebook.xml"/>
    <xi:include href="xml/mbim-stk.xml"/>
    <xi:include href="xml/mbim-dss.xml"/>
  </chapter>

  <chapter>
    <title>Microsoft-defined services</title>
    <xi:include href="xml/mbim-ms-basic-connect-extensions.xml"/>
    <xi:include href="xml/mbim-ms-uicc-low-level-access.xml"/>
    <xi:include href="xml/mbim-ms-firmware-id.xml"/>
    <xi:include href="xml/mbim-ms-host-shutdown.xml"/>
    <xi:include href="xml/mbim-ms-sar.xml"/>
  </chapter>

  <chapter>
    <title>Qualcomm-defined services</title>
    <xi:include href="xml/mbim-qmi.xml"/>
    <xi:include href="xml/mbim-qdu.xml"/>
  </chapter>

  <chapter>
    <title>AT&amp;T-defined services</title>
    <xi:include href="xml/mbim-atds.xml"/>
  </chapter>

  <chapter>
    <title>Intel-defined Services</title>
    <xi:include href="xml/mbim-intel-firmware-update.xml"/>
  </chapter>

  <chapter>
    <title>Quectel-defined Services</title>
    <xi:include href="xml/mbim-quectel.xml"/>
  </chapter>

  <chapter>
    <title>Compatibility</title>
    <xi:include href="xml/mbim-compat.xml"/>
  </chapter>

  <chapter id="object-tree">
    <title>Object Hierarchy</title>
     <xi:include href="xml/tree_index.sgml"/>
  </chapter>
  <chapter id="api-index-full">
    <title>API Index</title>
    <xi:include href="xml/api-index-full.xml"></xi:include>
  </chapter>
  <chapter id="api-index-deprecated" role="deprecated">
    <title>Index of deprecated symbols</title>
    <xi:include href="xml/api-index-deprecated.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-0" role="1.0">
    <title>Index of new symbols in 1.0</title>
    <xi:include href="xml/api-index-1.0.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-2" role="1.2">
    <title>Index of new symbols in 1.2</title>
    <xi:include href="xml/api-index-1.2.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-4" role="1.4">
    <title>Index of new symbols in 1.4</title>
    <xi:include href="xml/api-index-1.4.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-8" role="1.8">
    <title>Index of new symbols in 1.8</title>
    <xi:include href="xml/api-index-1.8.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-10" role="1.10">
    <title>Index of new symbols in 1.10</title>
    <xi:include href="xml/api-index-1.10.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-12" role="1.12">
    <title>Index of new symbols in 1.12</title>
    <xi:include href="xml/api-index-1.12.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-14" role="1.14">
    <title>Index of new symbols in 1.14</title>
    <xi:include href="xml/api-index-1.14.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-16" role="1.16">
    <title>Index of new symbols in 1.16</title>
    <xi:include href="xml/api-index-1.16.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-18" role="1.18">
    <title>Index of new symbols in 1.18</title>
    <xi:include href="xml/api-index-1.18.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-24" role="1.24">
    <title>Index of new symbols in 1.24</title>
    <xi:include href="xml/api-index-1.24.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-24-4" role="1.24.4">
    <title>Index of new symbols in 1.24.4</title>
    <xi:include href="xml/api-index-1.24.4.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-26" role="1.26">
    <title>Index of new symbols in 1.26</title>
    <xi:include href="xml/api-index-1.26.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-26-2" role="1.26.2">
    <title>Index of new symbols in 1.26.2</title>
    <xi:include href="xml/api-index-1.26.2.xml"></xi:include>
  </chapter>
  <chapter id="api-index-1-28" role="1.28">
    <title>Index of new symbols in 1.28</title>
    <xi:include href="xml/api-index-1.28.xml"></xi:include>
  </chapter>

  <xi:include href="xml/annotation-glossary.xml"><xi:fallback /></xi:include>
</book>
